Java8 (Groovy 2.5.0)
Date: 2018-05-27

org.codehaus.groovy.vmplugin.v8

## Class Java8

- java.lang.Object
- - org.codehaus.groovy.vmplugin.v5.Java5
  - - org.codehaus.groovy.vmplugin.v6.Java6
    - - org.codehaus.groovy.vmplugin.v7.Java7
      - - org.codehaus.groovy.vmplugin.v8.Java8

- All Implemented Interfaces:
    VMPlugin

      public class Java8
      extends Java7

  Java 8 based functions.
  Since:
    2.5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Java8()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `getElementCode(java.lang.annotation.ElementType value)`
    `java.lang.Class<?>[]` | `getPluginDefaultGroovyMethods()`
    `int` | `getVersion()` Gives the version the plugin is made for

    - ### Methods inherited from class org.codehaus.groovy.vmplugin.v7.Java7

      `getInvokeSpecialHandle, invalidateCallSites, invokeHandle`

    - ### Methods inherited from class org.codehaus.groovy.vmplugin.v5.Java5

      `configureAnnotation, configureAnnotationFromDefinition, configureAnnotationNodeFromDefinition, configureClassNode, configureTypeVariableDefinition, configureTypeVariableReference, getPluginStaticGroovyMethods, setAdditionalClassInformation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Java8

          public Java8()

  - ### Method Detail

    - #### getPluginDefaultGroovyMethods

          public java.lang.Class<?>[] getPluginDefaultGroovyMethods()

      Specified by:
        `getPluginDefaultGroovyMethods` in interface `VMPlugin`
      Overrides:
        `getPluginDefaultGroovyMethods` in class `Java5`

    - #### getVersion

          public int getVersion()

      Description copied from interface: `VMPlugin`
      Gives the version the plugin is made for
      Specified by:
        `getVersion` in interface `VMPlugin`
      Overrides:
        `getVersion` in class `Java7`
      Returns:
        5 for jdk5, 6 for jdk6, 7 for jdk7, 8 for jdk8 or higher

    - #### getElementCode

          protected int getElementCode(java.lang.annotation.ElementType value)

      Overrides:
        `getElementCode` in class `Java5`